﻿$ErrorActionPreference = 'Stop'; #Stop on all errors

$packageName = 'finalbuilder' #Unique name of the package
$installerType = 'EXE' #Installer is an executable.
$url = 'http://downloads.finalbuilder.com/downloads/finalbuilder/800/FB800_2863.exe' #URL to download installer for current version. 
$silentArgs = '/SP /VERYSILENT /SUPPRESSMSGBOXES /CLOSEAPPLICATIONS' #Silent install arguments for our installer
$validExitCodes = @(0) #Valid return codes from the installer for success
$checksum = '2FE6055219F9324A62A74515E3AA44338B844BCC8B0DFC63EE8C2455C23FE4D1'

#Run chocolatey install package commandlet
Install-ChocolateyPackage "$packageName" "$installerType" "$silentArgs" "$url" -validExitCodes $validExitCodes -checksum $checksum -checksumType sha256